Bug 1641264 (rudeconfig) - Review Request: rudeconfig - Library (C++ API) for reading and writing configuration/.ini files
Summary: Review Request: rudeconfig - Library (C++ API) for reading and writing config...
Keywords:
Status: CLOSED ERRATA
Alias: rudeconfig
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2018-10-20 16:10 UTC by Ankur Sinha (FranciscoD)
Modified: 2018-11-04 22:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-01 15:06:39 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2018-10-20 16:10:44 UTC
Spec URL: https://ankursinha.fedorapeople.org/rudeconfig/rudeconfig.spec
SRPM URL: https://ankursinha.fedorapeople.org/rudeconfig/rudeconfig-5.0.5-10.fc29.src.rpm

Description: 
rudeconfig is a library that allows applications to read, modify 
and create configuration/.ini files.

Fedora Account System Username: ankursinha

Comment 1 Ankur Sinha (FranciscoD) 2018-10-20 16:12:44 UTC
A rawhide scratch build is here:

https://koji.fedoraproject.org/koji/taskinfo?taskID=30346909

Comment 2 Robert-André Mauchin 2018-10-20 19:17:14 UTC
 - Patch these with the new address in %prep and send upstream:

rudeconfig.x86_64: E: incorrect-fsf-address /usr/share/doc/rudeconfig/ChangeLog
rudeconfig-devel.x86_64: E: incorrect-fsf-address /usr/include/rude/config.h

 - Keep the %changelog prior to the unretirement

Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "GPL (v2 or
     later)", "Expat License", "Unknown or generated". 13 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/rudeconfig/review-
     rudeconfig/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/include/rude(rudesocket-
     devel)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     rudeconfig-devel , rudeconfig-debuginfo , rudeconfig-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rudeconfig-5.0.5-10.fc30.x86_64.rpm
          rudeconfig-devel-5.0.5-10.fc30.x86_64.rpm
          rudeconfig-debuginfo-5.0.5-10.fc30.x86_64.rpm
          rudeconfig-debugsource-5.0.5-10.fc30.x86_64.rpm
          rudeconfig-5.0.5-10.fc30.src.rpm
rudeconfig.x86_64: W: spelling-error Summary(en_US) ini -> uni, in, ii
rudeconfig.x86_64: W: spelling-error %description -l en_US ini -> uni, in, ii
rudeconfig.x86_64: E: incorrect-fsf-address /usr/share/doc/rudeconfig/ChangeLog
rudeconfig-devel.x86_64: W: spelling-error %description -l en_US ini -> uni, in, ii
rudeconfig-devel.x86_64: E: incorrect-fsf-address /usr/include/rude/config.h
rudeconfig.src: W: spelling-error Summary(en_US) ini -> uni, in, ii
rudeconfig.src: W: spelling-error %description -l en_US ini -> uni, in, ii
5 packages and 0 specfiles checked; 2 errors, 5 warnings.

Comment 3 Ankur Sinha (FranciscoD) 2018-10-20 21:58:02 UTC
Thanks for the quick review, Robert. I've patched the files to correct the FSF address, and I've dropped upstream an e-mail with the patch too.

Updates spec/srpm:

https://ankursinha.fedorapeople.org/rudeconfig/rudeconfig.spec

https://ankursinha.fedorapeople.org/rudeconfig/rudeconfig-5.0.5-11.fc29.src.rpm

Cheers,
Ankur

Comment 4 Ankur Sinha (FranciscoD) 2018-10-22 18:24:51 UTC
Unretired and rebuilt for rawhide. Stable branches requested and I shall build for them as soon as they're usable:

https://koji.fedoraproject.org/koji/taskinfo?taskID=30398756

Comment 5 Fedora Update System 2018-10-24 10:41:33 UTC
rudeconfig-5.0.6-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-773f5dd512

Comment 6 Fedora Update System 2018-10-24 10:44:32 UTC
rudeconfig-5.0.6-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e442badc3f

Comment 7 Fedora Update System 2018-10-24 15:41:10 UTC
rudeconfig-5.0.6-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-773f5dd512

Comment 8 Fedora Update System 2018-10-25 22:35:25 UTC
rudeconfig-5.0.6-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e442badc3f

Comment 9 Fedora Update System 2018-11-01 15:06:39 UTC
rudeconfig-5.0.6-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-11-04 22:08:29 UTC
rudeconfig-5.0.6-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.